<?php

/***********************************************************************************
*   SCRIPT        :   AITSH Download
*   VERSION       :   1.0
*   AUTHOR        :   Advanced IT Services Holland
*   EMAIL         :   info@aitsh.com
*   DATE          :   10/04/1999 
*   COUNTRY       :   The Netherlands, Europe
*   COPYRIGHT     :   You are free to modify this script,
                      as long as you keep this header in your script. 
*   DESCRIPTION   :   A download with statistics that uses a MySQL-database
*   COMMENTS      :   Simple to set-up and to configure/adjust it 
*   INSTALLATION  :   Create a MySQL table, for example like this:
                      CREATE TABLE download (ID INT NOT NULL AUTO_INCREMENT,
                      product CHAR(250), format CHAR(250), location CHAR(250),
                      name CHAR(250), email CHAR(250), PRIMARY KEY(ID));
                      Edit the vars below and your ready !!! [after uploading :-)]
*   USAGE         :   To view statistics, just call : download.php3?action=statistics
*   THINGS TO DO  :   Better documentation inside the script,
                      simplifying location & format options, and more...
*   COMMENT       :   This script is way from user-friendly. 
                      I really DON'T suggest people to use it if they don't know much of PHP.
*   THANKS TO     :   Tim Crider, for helping with the dropdown box code...
***********************************************************************************/

/* $host       : your MySQL-host, usually 'localhost' */
/* $user       : your MYSQL-username */
/* $password   : your MySQL-password */
/* $database   : your MySQL-database */
/* $table      : your MySQL-table */
/* $page_title : the title of your download-pages */
/* $admin_mail : email-address of the administrator for reporting problems */
/* $list_downloads : yes/no --> do you want to list the number of downloads for each product in the dropdown box ? */
/* $http_location : the location where your files are stored on the ftp-server no trailing /]*/
/* $ftp_location : the location where your files are stored on the ftp-server [no trailing /]*/
/* $x          : the products you want to offer to be downloaded.
                 Where $x[?][0] is the product file-name [without .zip or .tar.gz],
                 and $x[?][1] is for displaying the name to the user
                 Add more entries [thus $x[?][0] and $x[?][1] if needed :-)
                 Also you can preselect a product from the dropdown list by calling : download.php3?product=product1
                 (for example, thus the value for $x[?][0])  */
/* $y          : the formats [eg. .zip and .tar.gz] you want to offer. */
/* $z          : the locations [eg. ftp and http] you want to offer. */
                 

$host = "your_host";
$user = "your_username";
$password = "your_password";
$database = "your_database";
$table = "download";
$page_title = "AITSH Download";
$admin_mail = "webmaster@yourhost.com";
$list_downloads = "yes";
$http_location = "http://www.yourhost.com/download";
$ftp_location = "ftp://ftp.yourhost.com/pub/download";

$x[0][0] = "product1";
$x[0][1] = "Product 1";
$x[1][0] = "product2";
$x[1][1] = "Product 2";

$y[0][0] = "zip";
$y[0][1] = ".zip";
$y[1][0] = "tar";
$y[1][1] = ".tar.gz"; 

$z[0][0] = "www";
$z[0][1] = "WWW";
$z[1][0] = "ftp";
$z[1][1] = "FTP";

if($action != download) {
?>
<HTML>
<HEAD>
<TITLE><?php echo $page_title; ?></TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF" LINK="#000000">  
<FONT FACE="Verdana" SIZE="-2">                                                                                                                                             
<?
} 
if($action == "download") {
if(!$product || !$location || !$format) { 
?>
<HTML>
<HEAD>
<TITLE><?php echo $page_title; ?></TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF" LINK="#000000">  
<FONT FACE="Verdana" SIZE="-2">
Oops, something went wrong !!! Please click <A HREF="download.php3" onMouseOver="window.status='Click here to try again';return true" onMouseOut="window.status='';return true" TITLE="Click here to try again">here</A> to try again.
</FONT>
</BODY>
</HTML>
<? 
}
else {
if($format == "tar") {
$final_format = "tar.gz"; }
else {
$final_format = "$format"; }

if(!$name) {
$name = "(anonymous)"; }
if(!$email) {
$email = "(anonymous)"; }

mysql_pconnect("$host","$user","$password") or die("Can't connect to the SQL-server");
mysql_select_db("$database");   

$query2 = "INSERT INTO $table VALUES ('', '$product', '$format', '$location', '$name', '$email')";
$result2 = MYSQL_QUERY($query2);

if($location == "ftp") {
Header("Location: $ftp_location/$product.$final_format"); } 
else {
Header("Location: $http_location/$product.$final_format"); }
exit;
} 
}
elseif($action == "statistics")  {
mysql_pconnect("$host","$user","$password") or die("Can't connect to the SQL-server");
mysql_select_db("$database");

$query = "SELECT * FROM $table";
$result = MYSQL_QUERY($query);
$number = MYSQL_NUMROWS($result);

$i = 0;

IF ($number == 0) :

PRINT "A little problem...(:-";

ELSEIF ($number > 0) :
?>
<I><CENTER><?php echo $number; ?> downloads</CENTER></I><BR><BR>
<?

PRINT "<TABLE ALIGN=CENTER WIDTH=600 BORDER=0 VALIGN=TOP CELLSPACING=1 CELLPADDING=3>\n";
PRINT "<TR>\n<TD BGCOLOR=\"#6699CC\" WIDTH=\"210\"><FONT FACE=Verdana SIZE=1><B>Name:</B></FONT></TD>\n<TD BGCOLOR=\"#6699CC\" WIDTH=\"210\"><FONT FACE=Verdana SIZE=1><B>Email:</B></FONT></TD>\n<TD BGCOLOR=\"#6699CC\" WIDTH=\"120\"><FONT FACE=Verdana SIZE=1><B>Prod:</B></FONT></TD>\n<TD BGCOLOR=\"#6699CC\" WIDTH=\"30\"><FONT FACE=Verdana SIZE=1><B>Form:</B></FONT></TD>\n<TD BGCOLOR=\"#6699CC\" WIDTH=\"30\"><FONT FACE=Verdana SIZE=1><B>Loc:</B></FONT></TD>\n</TR>";

WHILE ($i < $number):

$name = mysql_result($result,$i,"name");
$email = mysql_result($result,$i,"email");
$product = mysql_result($result,$i,"product");
$location = mysql_result($result,$i,"location");
$format = mysql_result($result,$i,"format");

if(!$email) {
$final_email = "&nbsp;"; }
if($email == "(anonymous)") {
$final_email = $email; }
else {
$final_email = "<A HREF=\"mailto:$email\" onMouseOver=\"window.status='Email $name at $email';return true\" onMouseOut=\"window.status='';return true\" TITLE=\"Email $name at $email\">$email</A>"; }

if(!$name) {
$name = "&nbsp;"; }
if(!$product) {
$product = "&nbsp;"; }
if(!$location) {
$location = "&nbsp;"; }
if(!$format) {
$format = "&nbsp;"; }


PRINT "\n<TR>\n<TD BGCOLOR=\"#99CCFF\" WIDTH=\"210\"><FONT FACE=Verdana SIZE=1><B>$name</B></FONT></TD>\n<TD BGCOLOR=\"#99CCFF\" WIDTH=\"210\"><FONT FACE=Verdana SIZE=1><B>$final_email</B></FONT></TD>\n<TD BGCOLOR=\"#99CCFF\" WIDTH=\"120\"><FONT FACE=Verdana SIZE=1><B>$product</B></FONT></TD>\n<TD BGCOLOR=\"#99CCFF\" WIDTH=\"30\"><FONT FACE=Verdana SIZE=1><B>$format</B></FONT></TD>\n<TD BGCOLOR=\"#99CCFF\" WIDTH=\"30\"><FONT FACE=Verdana SIZE=1><B>$location</B></FONT></TD>\n</TR>\n";

$i++;

ENDWHILE;

PRINT "</TABLE>\n</CENTER>\n";
ENDIF;
?>
<BR><SMALL><CENTER>Script by <A HREF="http://www.aitsh.com/" onMouseOver="window.status='Script by Advanced IT Services Holland';return true" onMouseOut="window.status='';return true" TITLE="Script by Advanced IT Services Holland">Advanced IT Services Holland</A></CENTER></SMALL>
</FONT>
</BODY>
</HTML> 
<?
}
else {                                                                  
/* connect to the database */                                  
mysql_pconnect("$host","$user","$password") or die("Can't connect to the SQL-server");
mysql_select_db("$database");   


$size = sizeof($x);
for($i =0; $i < $size; $i++) {

$v = $x[$i][0];
$w = $x[$i][1];

if($list_downloads == "yes") {
$query = "SELECT * FROM $table WHERE (product = 'aitsh-$v')";
$result = MYSQL_QUERY($query);
$number = MYSQL_NUMROWS($result);
$q[$i][0] = $v;
$q[$i][1] = "$w ($number)";
}
else {
$q[$i][0] = $v;
$q[$i][1] = $w;
}
}
?>
<FORM ACTION="download.php3?action=download" METHOD=POST>
<TABLE WIDTH="460" ALIGN="CENTER" VALIGN="TOP">
<TH COLSPAN="2"><P><SMALL>Please <A HREF="mailto:<?php echo $admin_mail; ?>" onMouseOver="window.status='Please report download problems!';return true" onMouseOut="window.status='';return true" TITLE="Please report download problems!">report</A> download problems!</SMALL><BR><BR></TH>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
Your Name (#):
</TD>
<TD>
<INPUT TYPE="text" NAME="name" SIZE="30">
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
Your Email address (#):
</TD>
<TD>
<INPUT TYPE="text" NAME="email" SIZE="30">
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
Product:
</TD>
<TD>
<?
$size = sizeof($q); 

echo("<select name='product'>\n"); 
for ($i = 0; $i < $size; $i++) { 

// IF THE PRODUCT MATCHES THE CURRENT ARRAY VAL SELECT IT 
if($product == $q[$i][0]) { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option selected value='%s'>",$q[$i][0]); 
printf("%s",$q[$i][1]); 

// IF THE PRODUCT DOES NOT MATCH (ELSE) JUST MAKE IT AN OPTION 
} else { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option value='%s'>",$q[$i][0]); 
printf("%s",$q[$i][1]); 

echo("\n"); 
} 

} 
echo("</select>"); 
?>
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
Format:
</TD>
<TD>
<?
$size = sizeof($y); 

echo("<select name='format'>\n"); 
for ($i = 0; $i < $size; $i++) { 

// IF THE PRODUCT MATCHES THE CURRENT ARRAY VAL SELECT IT 
if($format == $y[$i][0]) { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option selected value='%s'>",$y[$i][0]); 
printf("%s",$y[$i][1]); 

// IF THE PRODUCT DOES NOT MATCH (ELSE) JUST MAKE IT AN OPTION 
} else { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option value='%s'>",$y[$i][0]); 
printf("%s",$y[$i][1]); 

echo("\n"); 
} 

} 
echo("</select>"); 
?>
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
Location:
</TD>
<TD>
<?
$size = sizeof($z); 

echo("<select name='location'>\n"); 
for ($i = 0; $i < $size; $i++) { 

// IF THE PRODUCT MATCHES THE CURRENT ARRAY VAL SELECT IT 
if($location == $z[$i][0]) { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option selected value='%s'>",$z[$i][0]); 
printf("%s",$z[$i][1]); 

// IF THE PRODUCT DOES NOT MATCH (ELSE) JUST MAKE IT AN OPTION 
} else { 
// NOTE: Put '' AROUND THE VALUE IN CASE IT HAS A SPACE IN IT 
printf("<option value='%s'>",$z[$i][0]); 
printf("%s",$z[$i][1]); 

echo("\n"); 
} 

} 
echo("</select>"); 
?>
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT" VALIGN="TOP">
&nbsp;
</TD>
<TD>
<INPUT TYPE="submit" VALUE="Download">
</TD>
</TR>
<TR>
<TD COLSPAN="2">
<BR><BR>
<SMALL># : Not required, but only for statistics.</SMALL>
</TD>
</TR>
</TABLE>
</CENTER>
</FORM>
<BR><SMALL><CENTER>Script by <A HREF="http://www.aitsh.com/" onMouseOver="window.status='Script by Advanced IT Services Holland';return true" onMouseOut="window.status='';return true" TITLE="Script by Advanced IT Services Holland">Advanced IT Services Holland</A></CENTER></SMALL>
</FONT>
</BODY>
</HTML>   
<?
}
?>